// This file is a part of the xMule Project.
//
// Copyright (c) 2004, 2005 Theodore R. Smith (hopeseekr@xmule.ws / http://www.xmule.ws/)
// DSA-1024 Fingerprint: 10A0 6372 9092 85A2 BB7F 907B CB8B 654B E33B F1ED
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef _COMMENTDIALOG_H_
#define _COMMENTDIALOG_H_

#include <wx/dialog.h>                 // wxDialog

#include "resource.h"                  // IDS_PW_APPLY

class CKnownFile;
class wxComboBox;

class CCommentDialog : public wxDialog
{
public:
    CCommentDialog(wxWindow* pParent,CKnownFile* file);   // standard constructor
    virtual ~CCommentDialog();

    void Localize();
    virtual bool OnInitDialog();
    void OnBnClickedApply(wxCommandEvent& evt);

private:
    wxComboBox* ratebox;
    CKnownFile* m_file;

    DECLARE_EVENT_TABLE()
};

#endif // _COMMENTDIALOG_H_
